Subject: bug#58509: 29.0.50; Synchronous nativecomp

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Oct 2022 21:30:24 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks, but passing information via environment variable is not a good
> idea, IME.  It is much better to pass that via command-line arguments.
> We've been moving away of the environment variables, albeit slowly, so
> adding a new one would be a step back.

Sure, we can do it via a command-line argument instead.  Perhaps this
fits well with the proposed --native-compile-sync switch, even.

That is, instead of that, we could have a --native-compile-mode command
line switch with the values --native-compile-mode=none,
--native-compile-mode=sync and --native-compile-mode=normal?

Or a better name for the switch, if anybody has an idea -- I don't much
like "mode" here, since that can be confused with Emacs modes...